Page MenuHomePhabricator

When inserting a new automatic citation, offer "Edit" as well as "Insert" button
Closed, DeclinedPublic

Description

Current process:

  1. Generate a new automatic citation via the citoid service.
  2. Decide it needs some work.
  3. Click "Insert" to put it on the page (why should I insert something so broken?).
  4. Click "Edit" to fix it.

Desired process:

  1. Generate a new automatic citation via the citoid service.
  2. Decide it needs some work.
  3. Click "Edit", and have it both insert and open the template so I can fix it.

Event Timeline

Whatamidoing-WMF raised the priority of this task from to Normal.
Whatamidoing-WMF updated the task description. (Show Details)
Whatamidoing-WMF added a subscriber: Whatamidoing-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2015, 7:51 PM
Jdforrester-WMF closed this task as Declined.Jul 27 2015, 7:52 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

We discussed this at length when we created the auto-citation tool and rejected it because adding further user choice at this step is unnecessary (they get an "Edit" button immediately) and damaging to successful workflow (people bail when given the extra option).

Do you believe that "people bailing when given an extra option" exceeds the number of "people cancelling because the initial result is wrong"?

@Jdforrester-WMF I don't understand what you mean by 'they get an "Edit" button immediately)'. Users currently don't get an immediate "Edit", they have to "Insert" the citation (even if they know full well, it is wrong or incomplete), and only then can re-enter the "Edit"-mode. This non-intuitive extra step is far more disadvantageous than some assumed rare misclicks. Currently, and in the foresseable future, most Citoid references need a bit of polishing and fixing afterwards - this is the more common ''standard'' case. The UI layout should support a convenient way to handle this standard situation.

Mvolz added a subscriber: Mvolz.Sep 5 2015, 2:46 PM

@Jdforrester-WMF, since this was closed I've seen at least two more complaints about this on community pages.

How exactly was it determined that people bailed and citation was less successful? Could we A/B test this?

We may have to consider this in NWE, where there is no other way to edit parameters (unless you've learnt them).

Would it be possible to do something like a combined flyout, so that you see the formatted citation on top and template dialog (for adding other parameters, etc.) is already loaded below the formatted ciation?

Izno added a subscriber: Izno.Aug 3 2017, 5:10 PM

@Esanders I would guess your comment was spurred by this topic I made when WTE2017 originally debuted in beta. Just adding this comment as a bit of documentation that this would definitely be a nice/excellent to have for power users for wikitext editor 2017, if not newbies--all three of the users commenting there (including myself) are old-timers who have most-definitely learned the citation parameters by now. The form is so much more sane than editing citation wikitext in this regard.